/*
 * Created on 11.10.2005
 */
package net.hoopajoo.cheeselab3;

/**
 * An interface for all objects that need to receive data events.
 * 
 * @author Antti Andreimann <Antti.Andreimann@mail.ee>
 *
 */
public interface CheeseMapListener {
    public void roomChanged(CheeseRoomData newroom, CheeseRoomData oldroom);
    public void roomDeleted(CheeseRoomData room);
    public void playerChanged(CheesePlayerData player, CheesePlayerData oldplayer);
    public void tileChanged(String fname);
    /**
     * This callback will let You know that a "refresh" command has been sent
     * to the server. This means that excessive roomChanged/roomDeleted events are
     * due and your code should turn off rapid re-painting or other resource
     * intensive work until You receive a corresponding refreshFinished event.
     */
    public void refreshStarted();
    public void refreshFinished();
    /**
     * Will be called whenever connection status to server changes
     * @param status - true if online, false if not
     */
    public void onlineChanged( boolean online );
}
